GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
sockaddr_resolver.c File Reference
`#include <grpc/support/port_platform.h>`
`#include "src/core/client_config/resolvers/sockaddr_resolver.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/host_port.h>`
`#include <grpc/support/string_util.h>`
`#include "src/core/client_config/lb_policies/pick_first.h"`
`#include "src/core/iomgr/resolve_address.h"`

## Data Structures
struct | sockaddr_resolver

## Macros
#define | DECL_FACTORY(name)

## Functions
grpc_resolver_factory * | grpc_ipv4_resolver_factory_create ()
grpc_resolver_factory * | grpc_ipv6_resolver_factory_create ()

## Macro Definition Documentation

#define DECL_FACTORY | ( |  | name | ) |

Value:
static grpc_resolver *name##_factory_create_resolver( \
grpc_resolver_factory *factory, grpc_uri *uri, \
grpc_subchannel_factory *subchannel_factory) { \
return sockaddr_create(uri, grpc_create_pick_first_lb_policy, \
subchannel_factory, parse_##name); \
} \
static const grpc_resolver_factory_vtable name##_factory_vtable = { \
sockaddr_factory_ref, sockaddr_factory_unref, \
name##_factory_create_resolver}; \
static grpc_resolver_factory name##_resolver_factory = { \
&name##_factory_vtable}; \
grpc_resolver_factory *grpc_##name##_resolver_factory_create() { \
return &name##_resolver_factory; \
}
grpc_resolver_factory_vtable
Definition: resolver_factory.h:50
grpc_resolver
grpc_resolver provides grpc_client_config objects to grpc_channel objects
Definition: resolver.h:46
subchannel_factory
Definition: secure_channel_create.c:131
grpc_resolver_factory
grpc_resolver provides grpc_client_config objects to grpc_channel objects
Definition: resolver_factory.h:46
grpc_create_pick_first_lb_policy
grpc_lb_policy * grpc_create_pick_first_lb_policy(grpc_subchannel **subchannels, size_t num_subchannels)
Returns a load balancing policy instance that picks up the first subchannel from subchannels to succe...
Definition: pick_first.c:317
grpc_uri
Definition: uri_parser.h:37
grpc_resolver_factory
struct grpc_resolver_factory grpc_resolver_factory
Definition: resolver_factory.h:41
grpc_subchannel_factory
Constructor for new configured channels.
Definition: subchannel_factory.h:45

## Function Documentation

grpc_resolver_factory* grpc_ipv4_resolver_factory_create | ( | void |  | ) |

grpc_resolver_factory* grpc_ipv6_resolver_factory_create | ( | void |  | ) |